Bug 547056 - [abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
[abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
abrt_hash:12eb059ce84927721eed1204928...
:
: 547155 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 07:28 EST by Lukas Redynk
Modified: 2010-09-01 08:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 08:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.62 KB, text/plain)
2009-12-13 07:28 EST, Lukas Redynk
no flags Details
File: cmdline (1.98 KB, text/plain)
2009-12-13 07:28 EST, Lukas Redynk
no flags Details

  None (edit)
Description Lukas Redynk 2009-12-13 07:28:16 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. High load on cpu's and high memory usage
2. Create a new project in Eclipse Galileo

Attached file: backtrace
cmdline: /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.0.200.v20090519/eclipse_1207.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar -exitdata 8f801f -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel: 2.6.31.6-166.fc12.x86_64
package: java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
rating: 3
reason: Process was terminated by signal 6
Comment 1 Lukas Redynk 2009-12-13 07:28:21 EST
Created attachment 377979 [details]
File: backtrace
Comment 2 Lukas Redynk 2009-12-13 07:28:24 EST
Created attachment 377980 [details]
File: cmdline
Comment 3 Mark Wielaard 2009-12-13 07:55:37 EST
This seems to be a bug in eclipse/swt or maybe gtk+/pango. From the failing thread stacktrace:

#5  <signal handler called>
No symbol table info available.
#6  0x000000360f22502a in pango_layout_new ()
   from /usr/lib64/libpango-1.0.so.0
No symbol table info available.
#7  0x00000036100078e9 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x0000003610008e64 in gtk_text_layout_get_line_display ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#9  0x0000003610009a7c in gtk_text_layout_get_cursor_locations ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#10 0x00000036100163b5 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x00000036100163f0 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x00000036100176d6 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x000000360d60ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#14 0x000000360d620b8d in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#15 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#16 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#17 0x000000361007cd1c in gtk_widget_set_scroll_adjustments ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x000000360ffbc0e6 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#19 0x000000360d60ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#20 0x000000360d6207dc in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#21 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#22 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#23 0x0000003610082f5e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#25 0x000000360ffbbfcf in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#28 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#29 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#30 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#31 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#32 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#33 0x000000360ff03080 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#34 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#35 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#36 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#37 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#38 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#39 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#40 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#41 0x000000360ff03080 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#42 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#43 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#44 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#45 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#46 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#47 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#48 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#49 0x000000360ff03080 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#50 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#51 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#52 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#53 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#54 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#55 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#56 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#57 0x000000360ffbbfcf in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#58 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#59 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#60 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#61 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#62 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#63 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#64 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#65 0x000000360fe83ab3 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#66 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#67 0x000000360d60b9d9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#68 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#69 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#70 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#71 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#72 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#73 0x000000360febb111 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#74 0x000000360d60ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#75 0x000000360d621226 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#76 0x000000360d622259 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#77 0x000000360d6227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#78 0x000000360ff7d00e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#79 0x000000360d60de30 in g_object_run_dispose ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#80 0x00007f77db384fea in Java_org_eclipse_swt_internal_gtk_OS__1gtk_1widget_1destroy ()
   from /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-pi-gtk-3555.so
No symbol table info available.
Comment 4 Mark Wielaard 2009-12-13 15:01:13 EST
*** Bug 547155 has been marked as a duplicate of this bug. ***
Comment 5 Andrew Overholt 2009-12-13 17:16:21 EST
Does disabling GNOME Accessibility help?
Comment 6 Sergey Bostandzhyan 2009-12-16 08:18:10 EST
Yes, for me it does.

I did not really know how to disable it via the settings, so I took the gconf-editor and unchecked the box at /desktop/gnome/interface/accessibility, then restarted Xorg.

After that I could not reproduce the crash anymore. I.e., going to Help->Install new software... and then pressing Cancel in Eclipse (which caused the crash described in  Bug 547155) does work now. Thanks.
Comment 7 Andrew Overholt 2009-12-22 15:54:21 EST
I'm building some updated RPMs with a patch for this issue back-ported from upstream:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1887104

If anyone can give those a shot with accessibility enabled and see if there are still crasher bugs, I'd appreciate it.
Comment 8 Andrew Overholt 2009-12-22 16:56:20 EST
Oops, there was an issue with my SRPM.  Here's a better koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1887224
Comment 9 Andrew Overholt 2010-08-23 15:41:55 EDT
Sergey, are you still experiencing issues?
Comment 10 Sergey Bostandzhyan 2010-08-29 15:49:25 EDT
Uhm, sorry I have not been doing any java things since then and uninstalled eclipse long time ago. I could install it again and check, but I'll probably be switching to Fedora 13 first...
Comment 11 Andrew Overholt 2010-09-01 08:41:42 EDT
It's okay.  Please open a new bug if this problem still exists for you.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.